### Method

# Pango FontDescriptioncopy_static

#### Declaration [src]

    PangoFontDescription*
    pango_font_description_copy_static (
      const PangoFontDescription* desc
    )

#### Description [src]

Make a copy of a `PangoFontDescription`, but don’t duplicate allocated fields.

This is like `pango_font_description_copy()`, but only a shallow copy is made of the family name and other allocated fields. The result can only be used until `desc` is modified or freed. This is meant to be used when the copy is only needed temporarily.

#### Return value

Type: `PangoFontDescription`

The newly allocated `PangoFontDescription`, which should be freed with `pango_font_description_free()`, or `NULL` if `desc` was `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.